Skip to main content
GET
/
custom-reference-data
/
sources
/
{id}
Retrieve a custom reference data source
curl --request GET \
  --url https://api.artu.ai/custom-reference-data/sources/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "sourceType": "tabular",
  "columns": [
    {
      "source": "<string>",
      "alias": "<string>",
      "type": "<string>",
      "label": "<string>",
      "filterable": true,
      "sortable": true
    }
  ],
  "recordCount": 0,
  "currentSnapshotAt": "2023-11-07T05:31:56Z",
  "externalId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Response

200 - application/json

OK

id
string<uuid>
required
name
string
required
description
string | null
required
sourceType
enum<string>
required
Available options:
tabular
columns
object[] | null
required
status
enum<string>
required
Available options:
pending,
processing,
ready,
error
recordCount
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
currentSnapshotAt
string<date-time> | null
required
externalId
string | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required